Bug 591213 - /usr/bin/drpython doesn't run
/usr/bin/drpython doesn't run
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: drpython (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-11 12:46 EDT by Przemek Klosowski
Modified: 2010-11-23 05:43 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-23 05:43:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Przemek Klosowski 2010-05-11 12:46:03 EDT
Description of problem and Steps to Reproduce:

/usr/bin/drpython hangs and never brings up the application window

When I follow the README file and run it as:

python /usr/lib/python2.6/site-packages/drpython/drpython.pyw

the app window appears and everything seems to work.


Release number of selected component (if applicable):

drpython-3.11.1-2.fc12.noarch

How reproducible:  happens every time
Comment 1 Przemek Klosowski 2010-05-11 13:55:33 EDT
/usr/bin/drpython is a script that runs 
/usr/lib/python2.6/site-packages/drpython/drpython.py

and there are drpython.py, .pyc, pyo and .pyw files in that directory.
It looks like there is a naming confusion: the .py file and the .pyw
file are different and I don't know what .pyo/.pyc are derived from.
Comment 2 Nils Philippsen 2010-06-09 08:15:19 EDT
Tried this out, out of curiosity:

The /usr/bin/python script calls /usr/lib/python2.6/site-packages/drpython/drpython.py directly, but the latter doesn't contain a hash-bang (e.g. "#!/usr/bin/python") to specify desired script interpreter (.pyw has "#!/usr/bin/env python"). Without a hash-bang line, it will be assumed to be a shell script, and the first non-comment line is very likely "import ..." which will invoke the "import" command from ImageMagick (which then waits for user to click on a window to be captured).

The solution is to add an appropriate hash-bang line at the beginning of .../drpython.py or to invoke it correctly, i.e. by explicitly specifying the python interpreter. Low-hanging fruit if somebody wants to pick up this package.
Comment 3 Bug Zapper 2010-11-03 11:05:06 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Przemek Klosowski 2010-11-22 12:31:53 EST
The bug is still present in Fedora 14. The exact failure mode is different; instead of a silent hang, I get the error message

$ /usr/bin/drpython 
Traceback (most recent call last):
  File "/usr/bin/drpython", line 7, in <module>
    os.chdir(py)
OSError: [Errno 2] No such file or directory: '/usr/lib/python2.7/site-packages/drpython'
Comment 5 Nils Philippsen 2010-11-23 05:43:32 EST
This package is orphaned and doesn't seem to be in the repositories anymore:

https://admin.fedoraproject.org/pkgdb/acls/name/drpython

I'll close this bug accordingly as WONTFIX. If somebody picks this package up again in the future, this bug can be reopened.

Note You need to log in before you can comment on or make changes to this bug.